<?php
/**
 * Body Classes.
 * @package Vacation Rental Booking
 */

if (!function_exists('vacation_rental_booking_body_classes')) :

    function vacation_rental_booking_body_classes($vacation_rental_booking_classes)
    {
        $vacation_rental_booking_defaults = vacation_rental_booking_get_default_theme_options();
        $vacation_rental_booking_layout = vacation_rental_booking_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $vacation_rental_booking_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $vacation_rental_booking_classes[] = $vacation_rental_booking_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('vacation_rental_booking_copyright_alignment', 'Default');
        $vacation_rental_booking_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $vacation_rental_booking_classes;
    }

endif;

add_filter('body_class', 'vacation_rental_booking_body_classes');